com.holonplatform.vaadin.flow.components.builders

## Interface PropertyInputFormConfigurator<C extends com.vaadin.flow.component.Component,B extends PropertyInputFormConfigurator<C,B>>

- Type Parameters:
    `C` - Content type
    `B` - Actual configurator type
  All Superinterfaces:
    ComponentConfigurator<B>, ComponentGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,Input<?>,PropertyInputGroup,B>, ComposableConfigurator<C,Input<?>,PropertyInputGroup,B>, HasElementConfigurator<B>, InputGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,PropertyInputGroup,B>, InputGroupConfigurator.PropertySetInputGroupConfigurator<PropertyInputGroup,B>, PropertyFormConfigurator<C,Input<?>,PropertyInputGroup,B>, PropertyInputGroupConfigurator<B>
  All Known Subinterfaces:
    PropertyInputFormBuilder<C>

      public interface PropertyInputFormConfigurator<C extends com.vaadin.flow.component.Component,B extends PropertyInputFormConfigurator<C,B>>
      extends PropertyFormConfigurator<C,Input<?>,PropertyInputGroup,B>, PropertyInputGroupConfigurator<B>

  `PropertyInputForm` configurator.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `InputGroupConfigurator.BeanInputGroupConfigurator<T,G extends BoundComponentGroup<String,Input<?>>,C extends InputGroupConfigurator.BeanInputGroupConfigurator<T,G,C>>, InputGroupConfigurator.PropertySetInputGroupConfigurator<G extends BoundComponentGroup<com.holonplatform.core.property.Property<?>,Input<?>>,C extends InputGroupConfigurator.PropertySetInputGroupConfigurator<G,C>>`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertyFormConfigurator

      `hidePropertyCaption, propertyCaption, propertyCaption, propertyCaption`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComposableConfigurator

      `composeOnAttach, composer, initializer`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertyInputGroupConfigurator

      `bind, bind, bind, bind, bindField, bindField, hidden, readOnly, readOnly, stopGroupValidationAtFirstFailure, stopInputsValidationAtFirstFailure, validateOnValueChange`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator.PropertySetInputGroupConfigurator

      `defaultValue, withValidator, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `enableRefreshOnValueChange, groupValidationStatusHandler, required, required, required, required, validationStatusHandler, validationStatusHandler, validationStatusLabel, withPostProcessor, withValidator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentGroupConfigurator

      `usePropertyRendererRegistry, withValueChangeListener`

Copyright © 2019 The Holon Platform. All rights reserved.